Update a single population
PUT
/
v1
/
populations
/
{id}
cURL
curl -X PUT 'https://api.growthbook.io/api/v1/populations/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/populations/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"projects": ["<string>"],
"userIdTypes": ["<string>"],
"steps": [
{
"source": {
"type": "factTable",
"factTableId": "<string>"
},
"rowFilters": [
{
"column": "<string>",
"values": ["<string>"]
}
],
"aggregateFilter": "<string>",
"aggregateFilterColumn": "<string>"
}
],
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
projects: ['<string>'],
userIdTypes: ['<string>'],
steps: [
{
source: {type: 'factTable', factTableId: '<string>'},
rowFilters: [{column: '<string>', values: ['<string>']}],
aggregateFilter: '<string>',
aggregateFilterColumn: '<string>'
}
],
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/populations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/populations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'projects' => [
'<string>'
],
'userIdTypes' => [
'<string>'
],
'steps' => [
[
'source' => [
'type' => 'factTable',
'factTableId' => '<string>'
],
'rowFilters' => [
[
'column' => '<string>',
'values' => [
'<string>'
]
]
],
'aggregateFilter' => '<string>',
'aggregateFilterColumn' => '<string>'
]
],
'owner' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/populations/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/populations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/populations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"population": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"projects": [
"<string>"
],
"owner": "<string>",
"name": "<string>",
"description": "<string>",
"datasource": "<string>",
"userIdTypes": [
"<string>"
],
"steps": [
{
"source": {
"type": "factTable",
"factTableId": "<string>"
},
"rowFilters": [
{
"operator": "=",
"column": "<string>",
"values": [
"<string>"
]
}
],
"windowSettings": {
"type": "conversion",
"delayValue": 123,
"delayUnit": "weeks",
"windowValue": 123,
"windowUnit": "weeks"
},
"aggregateFilter": "<string>",
"aggregateFilterColumn": "<string>"
}
],
"ownerEmail": "<string>"
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
Body
application/json
Update a population
Minimum string length:
1Identifier types the population can be joined on. Every step's fact table must support all of them
Minimum array length:
1Steps a unit must complete, in order, to be included. The steps can read from at most 5 distinct fact tables
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.
Response
200 - application/json
Resource updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X PUT 'https://api.growthbook.io/api/v1/populations/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/populations/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"projects": ["<string>"],
"userIdTypes": ["<string>"],
"steps": [
{
"source": {
"type": "factTable",
"factTableId": "<string>"
},
"rowFilters": [
{
"column": "<string>",
"values": ["<string>"]
}
],
"aggregateFilter": "<string>",
"aggregateFilterColumn": "<string>"
}
],
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
projects: ['<string>'],
userIdTypes: ['<string>'],
steps: [
{
source: {type: 'factTable', factTableId: '<string>'},
rowFilters: [{column: '<string>', values: ['<string>']}],
aggregateFilter: '<string>',
aggregateFilterColumn: '<string>'
}
],
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/populations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/populations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'projects' => [
'<string>'
],
'userIdTypes' => [
'<string>'
],
'steps' => [
[
'source' => [
'type' => 'factTable',
'factTableId' => '<string>'
],
'rowFilters' => [
[
'column' => '<string>',
'values' => [
'<string>'
]
]
],
'aggregateFilter' => '<string>',
'aggregateFilterColumn' => '<string>'
]
],
'owner' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/populations/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/populations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/populations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userIdTypes\": [\n \"<string>\"\n ],\n \"steps\": [\n {\n \"source\": {\n \"type\": \"factTable\",\n \"factTableId\": \"<string>\"\n },\n \"rowFilters\": [\n {\n \"column\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ],\n \"aggregateFilter\": \"<string>\",\n \"aggregateFilterColumn\": \"<string>\"\n }\n ],\n \"owner\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"population": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"projects": [
"<string>"
],
"owner": "<string>",
"name": "<string>",
"description": "<string>",
"datasource": "<string>",
"userIdTypes": [
"<string>"
],
"steps": [
{
"source": {
"type": "factTable",
"factTableId": "<string>"
},
"rowFilters": [
{
"operator": "=",
"column": "<string>",
"values": [
"<string>"
]
}
],
"windowSettings": {
"type": "conversion",
"delayValue": 123,
"delayUnit": "weeks",
"windowValue": 123,
"windowUnit": "weeks"
},
"aggregateFilter": "<string>",
"aggregateFilterColumn": "<string>"
}
],
"ownerEmail": "<string>"
}
}
